## ros-melodic-rosbag-storage 1.14.10

=== debian/changelog ===
ros-melodic-rosbag-storage (1.14.10-1stretch) stretch; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.9-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Aug 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.8-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.7-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jul 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.6-1stretch) stretch; urgency=high

  * fix brief description comments after members (#1920 <https://github.com/ros/ros_comm/issues/1920>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 May 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.4-1stretch) stretch; urgency=high

  * catch polymorphic exceptions by reference (#1887 <https://github.com/ros/ros_comm/issues/1887>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * use find_library for abs path of crypto and gpgme libraries (#1867 <https://github.com/ros/ros_comm/issues/1867>)
  * remove unnecessary writing to map in write only mode (#1798 <https://github.com/ros/ros_comm/issues/1798>)
  * check for fclose returning 0 (#1750 <https://github.com/ros/ros_comm/issues/1750>)
  * fix windows build (#1687 <https://github.com/ros/ros_comm/issues/1687>)
  * move bag encryption plugins into separate library (#1499 <https://github.com/ros/ros_comm/issues/1499>)
  * modernization: replaced BOOST_FOREACH with range-based for loops, used algorithm, where appropriated (#1640 <https://github.com/ros/ros_comm/issues/1640>)
  * fix dangeling if-else (#1637 <https://github.com/ros/ros_comm/issues/1637>)
  * fix infinite loop in rosbag buffer resize (#1623 <https://github.com/ros/ros_comm/issues/1623>)
  * update CMakeLists.txt in rosbag_storage (#1618 <https://github.com/ros/ros_comm/issues/1618>)
  * fix various test problems (#1601 <https://github.com/ros/ros_comm/issues/1601>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 08:00:00 -0000

ros-melodic-rosbag-storage (1.14.3-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.2-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.1-1stretch) stretch; urgency=high

  * add in -D_FILE_OFFSET_BITS=64 on machines less than 64-bits (#1406 <https://github.com/ros/ros_comm/issues/1406>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.14.0-1stretch) stretch; urgency=high

  * specialize BagCallbackT for MessageInstance (#1374 <https://github.com/ros/ros_comm/issues/1374>)
  * fix compiler warning of test_aes_encryptor (#1376 <https://github.com/ros/ros_comm/issues/1376>)
  * implement bag encryption/decryption (#1206 <https://github.com/ros/ros_comm/issues/1206>)
  * use boost::shared_ptr to fix memory leak (#1373 <https://github.com/ros/ros_comm/issues/1373>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.6-1stretch) stretch; urgency=high

  * performance improvement for lower/upper bound (#1223 <https://github.com/ros/ros_comm/issues/1223>)
  * use namespaced logging macros of console_bridge instead of deprecated macros (#1239 <https://github.com/ros/ros_comm/issues/1239>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-melodic-rosbag-storage (1.13.5-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-melodic-rosbag-storage (1.13.4-1stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.3-1stretch) stretch; urgency=high

  * fix corrupted messages when reopening a rosbag with a different file (#1176 <https://github.com/ros/ros_comm/issues/1176>)
  * addd rosbag::Bag::isOpen (#1190 <https://github.com/ros/ros_comm/issues/1190>)
  * enable rosbag::Bag move operations if compiler support is available (#1189 <https://github.com/ros/ros_comm/issues/1189>)
  * check if bzfile_ and lz4s_ handle is valid before reading/writing/closing (#1183 <https://github.com/ros/ros_comm/issues/1183>)
  * fix an out of bounds read in rosbag::View::iterator::increment() (#1191 <https://github.com/ros/ros_comm/issues/1191>)
  * replace usage deprecated console_bridge macros (#1149 <https://github.com/ros/ros_comm/issues/1149>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.2-1stretch) stretch; urgency=high

  * fix whitespace warnings with g++ 7 (#1138 <https://github.com/ros/ros_comm/issues/1138>)
  * remove deprecated dynamic exception specifications (#1137 <https://github.com/ros/ros_comm/issues/1137>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-melodic-rosbag-storage (1.13.1-1stretch) stretch; urgency=high

  * fix buffer overflow vulnerability (#1092 <https://github.com/ros/ros_comm/issues/1092>)
  * fix rosbag::View::iterator copy assignment operator (#1017 <https://github.com/ros/ros_comm/issues/1017>)
  * fix open mode on Windows (#1005 <https://github.com/ros/ros_comm/pull/1005>)

