=== debian/control ===
Source: ros-melodic-rosbag-storage
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libbz2-dev, libconsole-bridge-dev, libgpgme-dev, libssl-dev, ros-melodic-catkin, ros-melodic-cpp-common (>= 0.3.17), ros-melodic-pluginlib, ros-melodic-roscpp-serialization, ros-melodic-roscpp-traits (>= 0.3.17), ros-melodic-roslz4, ros-melodic-rostest, ros-melodic-rostime, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rosbag-storage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libbz2-dev, libconsole-bridge-dev, libgpgme-dev, libssl-dev, ros-melodic-cpp-common (>= 0.3.17), ros-melodic-pluginlib, ros-melodic-roscpp-serialization, ros-melodic-roscpp-traits (>= 0.3.17), ros-melodic-roslz4, ros-melodic-rostime
Description: This is a set of tools for recording from and playing back ROS message without relying on the ROS client library.
